On 03/13/2018 11:30 AM, Jean-Marc Lasgouttes wrote:
Le 13/03/2018 à 16:26, Paul A. Rubin a écrit :
Aspell is only available if the development headers (e.g. libaspell-dev on debian) are available at compile time .


JMarc
Ah. I installed the precompiled package from Liv's PPA, so I guess he compiled it without Aspell (which is fine with me).

When you do "lyx -version" the special build flags line will contain entries like use-enchant, use-hunspell, that tell you what spell checkers have been selected.

Not that enchant is a wrapper library that relies on other spellcheckers that can be aspell, hunspell, etc.

JMarc

JMarc
Looking at the enchant ordering file (and what is installed on my system), it appears that enchant is using aspell. So the crash with 2.2.3 occurred when aspell was invoked directly but not when it was invoked through enchant.

Curiouser and curiouser.

Paul

Reply via email to